Bug 26089 - Add acquisitions-related reports to acquisitions sidebar menu
Summary: Add acquisitions-related reports to acquisitions sidebar menu
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-29 15:16 UTC by Owen Leonard
Modified: 2020-11-12 13:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch modifies the menu shown in the sidebar of some acquisitions pages so that in contains links to these acquisitions-related reports: Acquisitions statistics wizard and Orders by fund.
Version(s) released in:
20.11.00


Attachments
Bug 26089: Add acquisitions-related reports to acquisitions sidebar menu (1.86 KB, patch)
2020-07-29 15:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26089: Add acquisitions-related reports to acquisitions sidebar menu (1.91 KB, patch)
2020-09-15 15:19 UTC, Brandon J
Details | Diff | Splinter Review
Bug 26089: Add acquisitions-related reports to acquisitions sidebar menu (1.97 KB, patch)
2020-09-17 20:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-29 15:16:48 UTC
I think it might be useful to show links to acquisitions reports in the sidebar menu shown on acquisitions pages: the acquisitions statistics wizard and orders by fund.
Comment 1 Owen Leonard 2020-07-29 15:23:01 UTC Comment hidden (obsolete)
Comment 2 Brandon J 2020-09-15 15:19:45 UTC Comment hidden (obsolete)
Comment 3 David Nind 2020-09-16 20:32:31 UTC
It looks like this was signed off by Brandon J - have changed the status so that it goes into the QA queue.
Comment 4 Katrin Fischer 2020-09-17 20:15:46 UTC
Created attachment 110292 [details] [review]
Bug 26089: Add acquisitions-related reports to acquisitions sidebar menu

This patch adds links to two acquisitions-related reports in the sidebar
menu shown on acquisitions pages: Acquisitions statistics wizard and
orders by fund.

To test, apply the patch and go to the Acquisitions page.

- If you are logged in as a user with permission to access reports you
  should see a new "Reports" heading in the sidebar menu and links to
  two reports.
- Confirm that the links work correctly.
- Log in as a user without reports permission and confirm that the
  section doesn't appear.

Signed-off-by: Brandon J <brandon.jimenez@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-01 09:44:57 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 17:39:41 UTC
enhancement will not be backported to 20.05.x